Subject: [mpls] MPLS-RT review on draft-dj-mpls-tp-exer-psc-01

From: Sam Aldrin <[email-masked]>
Date: Fri, 23 Aug 2013 13:37:35 -0700

Hi,

I have reviewed the draft as part of MPLS-RT review. Here are my comments regarding the draft, followed by assessment comments.

General comments:
-------------------------

- I am confused by the wording within the draft. What is the primary purpose? To modify the RFC6378 as it doesn't have the EXER mode?
For ex: It says in sec 2.1 "The following text should be added in Section 2.1 in [RFC6378] ". Who will be adding, how and where?
This comment applies to whole draft.

- As this draft is introducing a new mode(not fixing Errata), EXER, which needed update to the RFC6378, the format chosen is not readable. As in the earlier comment, this draft is adding text to the RFC in each of the relevant sections. As a reader it is confusing at best. One will not be able to understand all the details, unless this draft and RFC are put side by side. My preference is to update the RFC with the updated text and issue a new RFCbis or something. Sorry I do not know the IETF process for updating existing RFC's. WG chairs or WG could provide better guidance on this.

Editorial comments:
---------------------------

- I see 'RR' is added as Reverse Request. As the terminology of Remote Request is already used, using different term is advisable. 
- Sec 2.3  FPath? Not defined earlier. Could you add in the terminology or reference to it?
- In sec 2.1, PSC request fields, it says, values are set to the same in both EXER and Reverse directions. Is it correct?

Assessment comments:
----------------------------
a. Is the document coherent?
> Draft is consistent and coherent, except for one section, identified in the comment above.

b. Is it useful?
> Apparently it is already used in transport networks. As this is identified as missing piece, I feel it is necessary to fill the gap.

c. Is the document technically sound?
> Yes. The document is written well and addresses all the sections of RFC6378, to introduce this new mode.

d. Is this document ready for WG adoption?
> It depends on the answer to the questions in 'general comments'. Having a separate document is confusing at best, from readability perspective. As such, it is difficult to continue to be in the context, while reading the draft, as it refers to missing pieces in the RFC. I would like WG and chairs to make a call on how to have this documented i.e. integrate the text into RFC6378 and issue a new version of the RFC?
> IMO, as there are other documents which introduces modifications to the same RFC as well, better to consolidate all the changes and issue a new version of RFC.
> Once the above are addressed, and if the decision is to retain as a separate document, then a new version could be published with rest of the comments addressed, prior to adoption.

cheers
-sam

---

From: Sam Aldrin <[email-masked]>
Date: Fri, 23 Aug 2013 13:38:34 -0700

Hi,

General comments:

Editorial comments:

Assessment comments:

b. Is it useful?

cheers
-sam